Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart
Interface ShapeFactory

All Known Implementing Classes:
  DefaultShapeFactory, SeriesShapeFactory

Deprecated. This interface is no longer used, shapes are obtained from the DrawingSupplier.

public interface ShapeFactory

Interface to be implemented by classes which provide shapes for indicating data points on a Plot.

Author:
  Jeremy Bowman

Method Summary
`java.awt.Shape` | `getShape(int series, int item, double x, double y, double scale)` Deprecated. Returns a Shape that can be used in plotting data.
`java.awt.Shape` | `getShape(int series, java.lang.Object category, double x, double y, double scale)` Deprecated. Returns a Shape that can be used in plotting data.

Method Detail

### getShape

    public java.awt.Shape getShape(int series,
                                   int item,
                                   double x,
                                   double y,
                                   double scale)

  Deprecated.
  Returns a Shape that can be used in plotting data. Used in XYPlots.

  Parameters:
    `series` - the index of the series.
    `item` - the index of the item.
    `x` - x-coordinate of the item.
    `y` - y-coordinate of the item.
    `scale` - the size.
  Returns:
    a Shape that can be used in plotting data.

### getShape

    public java.awt.Shape getShape(int series,
                                   java.lang.Object category,
                                   double x,
                                   double y,
                                   double scale)

  Deprecated.
  Returns a Shape that can be used in plotting data. Used in CategoryPlots.

  Parameters:
    `series` - the index of the series.
    `category` - the category.
    `x` - x-coordinate of the category.
    `y` - y-coordinate of the category.
    `scale` - the size.
  Returns:
    a Shape that can be used in plotting data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD